<?php
/*
Plugin Name: Wordpress Twitter Forums
Plugin URI: http://www.StevenMilanese.com/wordpress-twitter-forums/
Description: Adds a floating "Twitter Forums" button to the right-hand side of your WordPress Blog, that slides a Retweet.@ powered forum into view when users click on it.
Author: Steven Milanese
Version: 1.02
Author URI: http://www.StevenMilanese.com/
*/
/*  Copyright 2010 Steven Milanese (email: support at stevenmilanese.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
function retweet_style()
{
	// this is where we'll style our button
	echo
	'<style type=\'text/css\'>
div.floating-menu {position:fixed; right: 0; background:transparent; width:75px; margin-top:130px;z-index:100;}
div.floating-menu a, div.floating-menu h3 {display:block; margin:0 0.5em;}
</style>';
}


function retweet(){
    
	?>
    	<div class="floating-menu">
<a href="javascript:(function(){_smtn_embed_version=1;_smtn_embed_base='http://retweet.at';_smtn_script=document.createElement('script');_smtn_script.type='text/javascript';_smtn_script.src='http://retweet.at/js/embed.js';document.getElementsByTagName('head')[0].appendChild(_smtn_script);})();"><img src="<?php content_url()?>/wp-content/plugins/wordpress-twitter-forums-plugin/images/retweet.gif"></a>
</div>
    <?php
}

function retweet_admin_content(){
    
	?>

<div class="wrap">
<div id="icon-plugins" class="icon32"></div><h2>Retweet.@ Powered Wordpress Twitter Forums v1.0</h2><hr/><h4>Copyright 2010 <a href="http://www.stevenmilanese.com" target="_blank">Steven Milanese</a> (email: <a href="mailto:support@stevenmilanese.com">support at stevenmilanese.com</a>)</h4>
If you find this plugin useful please consider making a donation to the plugin's developer.<br/>There is no configuration necessary. Additional features and options will be included in future releases.
<br/><br/>
<form action="https://www.paypal.com/cgi-bin/webscr" method="post">
<input type="hidden" name="cmd" value="_s-xclick">
<input type="hidden" name="hosted_button_id" value="KG6KGHUYG7VKA">
<input type="image" src="https://www.paypal.com/en_US/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
<img alt="" border="0" src="https://www.paypal.com/en_US/i/scr/pixel.gif" width="1" height="1">
</form>
<hr/>
Be sure to visit the plugin page at <a href="http://www.stevenmilanese.com/wordpress/plugin-development/wordpress-twitter-forums/" target="_blank">http://www.stevenmilanese.com/wordpress/plugin-development/wordpress-twitter-forums/</a> or email your support and feature requests to <a href="mailto:support@stevenmilanese.com">support at stevenmilanese.com</a>.
</div>
    <?php
}

function retweet_options() {
    add_submenu_page('options-general.php', 'Retweet.@ Forums', 'Retweet.@ Forums', 10, __FILE__, 'retweet_admin_content');
}

function admin_register_head() {
	$siteurl = get_option('siteurl');
	$url = $siteurl . '/wp-content/plugins/' . basename(dirname(__FILE__)) . '/css/admin_style.css';
	echo "<link rel='stylesheet' type='text/css' href='$url' />\n";
}

add_action('admin_head', 'admin_register_head');
add_action('wp_head', 'retweet_style');
add_action('wp_head', 'retweet');
add_action('admin_menu', 'retweet_options');
?>